Bug 141687 - redhat-ready USB test fails because of the usb keyboard and mouse
redhat-ready USB test fails because of the usb keyboard and mouse
Status: CLOSED NOTABUG
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2-tests (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Rob Landry
Rob Landry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 17:38 EST by Need Real Name
Modified: 2007-04-18 13:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 13:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-12-02 17:38:52 EST
Description of problem:
The platform on which we run redhat-ready certification v.2-0.9-14.2 
has no PS/2 keyboard&mouse, we use usb keyboard and mouse.

The test fails to recognize that a USB device has been removed from 
the server after one is unplugged during the interactive portion of 
the test with this error: "(USB:x) no USB devices removed!" <x = port 
number tested>.  

The certification test is not designed for systems which has USB 
keyboard and mouse and as a result, the test prompts user to remove 
these devices before starting the test. Clearly, without any usb 
keyboard the test can not be completed.

Test passes if the redhat-ready is executed over the serial console 
while both keyboard and mouse are unplugged.
Comment 1 Rob Landry 2004-12-06 13:09:39 EST
legacyfree is a hardware.conf option specifically for the above.  It
should allow you to leave the keyboard plugged in during the testing
and simply add/subtract things from the other ports which should be
empty before starting the test.
Comment 2 Rob Landry 2005-04-14 13:27:15 EDT
I'm going to go ahead and close this one assuming "legacyfree" resolved the
above.  Otherwise see bug #141575 for a related USB problem.

Note You need to log in before you can comment on or make changes to this bug.